package com.muyu.context;

import com.muyu.model.process.RecordProcessModel;
import lombok.Data;
import lombok.experimental.SuperBuilder;

/**
 * 记录上下文
 *
 * @ClassName RecordContextHolder
 * @Author qdm
 * @Version: 1.0
 */
@Data
@SuperBuilder
public class RecordContextHolder {
    private static final ThreadLocal<RecordProcessModel> THREAD_LOCAL = new ThreadLocal<>();

    private DataSetContextHolder dataSetContextHolder;

    public static RecordContextHolder build(DataSetContextHolder dataSetContextHolder) {
        return RecordContextHolder.builder()
                .dataSetContextHolder(dataSetContextHolder)
                .build();
    }

    public static RecordProcessModel get() {
        return THREAD_LOCAL.get();
    }

    public static void set(RecordProcessModel recordProcessModel) {
        THREAD_LOCAL.set(recordProcessModel);
    }

    public static void remove() {
        THREAD_LOCAL.remove();
    }
}
